#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*!
 * I Message Queue Command Line Interface
 *
 * I'm Queue Software Project
 * Copyright (C) 2025  imqueue.com <support@imqueue.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * If you want to use this code in a closed source (commercial) project, you can
 * purchase a proprietary commercial license. Please contact us at
 * <support@imqueue.com> to get commercial licensing options.
 */
const yargs_1 = require("yargs");
const helpers_1 = require("yargs/helpers");
const lib_1 = require("./lib");
(async () => {
    const y = (0, yargs_1.default)((0, helpers_1.hideBin)(process.argv));
    await (0, lib_1.checkForUpdate)();
    await y.usage('IMQ Command Line Interface' +
        `\nVersion: ${lib_1.VERSION}` +
        '\n\nUsage: $0 <command>')
        .version(lib_1.VERSION)
        .commandDir('src')
        .demandCommand()
        .wrap(y.terminalWidth())
        .help()
        .argv;
})();
//# sourceMappingURL=index.js.map