"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VERSION = exports.IS_ZSH = exports.CONFIG_PATH = exports.CONFIG_FILENAME = exports.CUSTOM_TPL_HOME = exports.TPL_HOME = exports.TPL_REPO = exports.IMQ_HOME = exports.OS_HOME = void 0;
/*!
 * IMQ-CLI library: constants
 *
 * I'm Queue Software Project
 * Copyright (C) 2025  imqueue.com <support@imqueue.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * If you want to use this code in a closed source (commercial) project, you can
 * purchase a proprietary commercial license. Please contact us at
 * <support@imqueue.com> to get commercial licensing options.
 */
const os = require("os");
const path_1 = require("./path");
exports.OS_HOME = os.homedir() || String(process.env['HOME']);
exports.IMQ_HOME = '~/.imq';
exports.TPL_REPO = 'git@github.com:imqueue/templates.git';
exports.TPL_HOME = (0, path_1.resolve)(exports.IMQ_HOME, 'templates');
exports.CUSTOM_TPL_HOME = (0, path_1.resolve)(exports.IMQ_HOME, 'custom-templates');
exports.CONFIG_FILENAME = 'config.json';
exports.CONFIG_PATH = (0, path_1.resolve)(exports.IMQ_HOME, exports.CONFIG_FILENAME);
exports.IS_ZSH = Object.keys(process.env).some(key => /^ZSH/.test(key));
exports.VERSION = require(`${__dirname}/../package.json`).version;
//# sourceMappingURL=constants.js.map