"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolve = resolve;
/*!
 * IMQ-CLI library: path
 *
 * I'm Queue Software Project
 * Copyright (C) 2025  imqueue.com <support@imqueue.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * If you want to use this code in a closed source (commercial) project, you can
 * purchase a proprietary commercial license. Please contact us at
 * <support@imqueue.com> to get commercial licensing options.
 */
const p = require("path");
const constants_1 = require("./constants");
/**
 * Resolves given path to an absolute canonical path
 *
 * @param {...string[]} args
 */
function resolve(...args) {
    const paths = [];
    for (let path of args) {
        if (path.charAt(0) === '~') {
            path = constants_1.OS_HOME + path.substr(1);
        }
        paths.push(path);
    }
    return p.normalize(p.resolve.apply(p, paths));
}
//# sourceMappingURL=path.js.map